Subject: Re: next-20160208 perf build error "tests/bp_signal.c:106:47: error: declaration of ‘signal’ shadows a global declaration [-Werror=shadow]"

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Fri, 12 Feb 2016 18:40:36 -0300

Em Thu, Feb 11, 2016 at 07:21:21PM -0300, Arnaldo Carvalho de Melo escreveu:
> Em Mon, Feb 08, 2016 at 10:28:53AM -0800, Vinson Lee escreveu:
> > I hit this perf build error with next-20160208 with GCC 4.6.
 
> I try to test on a rhel6 vm from time to time, need to do it using
> docker or something, thanks for the report, but can you please send a
> proper patch, with a:
> 
> Fixes: 6a7d550e8b2e ("perf test: Check environment before start real BPF test")
> 
> Line, signed-off, etc?

Do it next time please, I did this time, when testing other changes on
my rhel6.7 vm, its in my perf/core branch,

Thanks,

- arnaldo